[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Toolchain data



On Wed, 14 Mar 2007 23:58:08 +0000
Wookey <wookey@aleph1.co.uk> wrote:

> > I've also failed to build an emchain for armel, so far - but
> > progress is being made. I'm using current CVS for dpkg-cross, built
> > with cvs-buildpackage; current SVN for apt-cross, built using
> > svn-buildpackage and current SVN for emdebian-tools. I get a
> > failure in dpkg-buildpackage because the appropriate dpkg-cross
> > binutils for armel is not found - instead of the dependency being,
> > say, binutils-arm-linux-gnu, the gcc debian/control file (auto
> > generated within the build from dpkg-cross data) tries to specify a
> > dependency on binutils- (note the terminal dash indicating that a
> > cross dependency was required but the expected variable was empty).
>
> Hmm. I had that once too. I failed to appreciate the significance.
>
> You don't mention dpkg and dpkg-dev above. You definately need both of
> those, http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=414087

Thanks.

> > dpkg-architecture -tarmel-linux-gnu  -qDEB_HOST_GNU_TYPE
> > dpkg-architecture: warning: Default GNU system type arm-linux-gnu
> > for Debian arch arm does not match specified GNU system type
> > armel-linux-gnu dpkg-architecture: warning: Specified GNU system
> > type armel-linux-gnu does not match gcc system type
> > x86_64-linux-gnu. armel-linux-gnu
>
> armel-linux-gnu is not a valid gnu type. The gnu type is
> arm-linux-gnueabi, the debian type (DEB_HOST_ARCH) is armel (which is
> shorthand for armel-linux-gnu I suppose).

Fixed - see
 http://lists.debian.org/debian-embedded/2007/03/msg00037.html

emchain (as of v0.1.0 which has just gone into Debian unstable)
retrieves the full type from dpkg-cross so it uses arm-linux-gnueabi.

> > It looks like libc6, linux-kernel-headers and libdb1-compat will
> > need to be built for armel before dpkg-cross can install them as
> > dependencies on the build host (amd64/powerpc). My iBook still has
> > problems with the computational load of building gcc. My amd64
> > doesn't even flinch.
> >
> > So far, I can build gcc manually for armel with the environment
> > addition above. The best emchain can hope to do in this situation is
> > probably to document how to "help the script along".
> >
> > The current build command is:
> > DEB_HOST_GNU_TYPE=armel-linux-gnu GCC_TARGET=armel \
> > DEB_CROSS_INDEPENDENT=yes dpkg-buildpackage -rfakeroot -etc.
>
> And that works? hmm.

Actually, no. I wrote that whilst the build was progressing, it
eventually failed (and failed again with the correct GNU_TYPE). I'll
retry with the dpkg patches.

> > emchain has been able to build binutils-armel-linux-gnu -
>
> I think it should be  binutils-arm-linux-gnueabi

Correct.

> > CVS is 1.36 and includes Wookey's patches for armel support.
>
> Ah, OK you do have the dpkg patch.

Yes, that version of dpkg-cross is now in Debian experimental.

--


Neil Williams
=============
http://www.data-freedom.org/
http://www.nosoftwarepatents.com/
http://www.linux.codehelp.co.uk/

Attachment: pgp5raebMmabg.pgp
Description: PGP signature


Reply to: